% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{apply_to_aligned_matrix_pair}
\alias{apply_to_aligned_matrix_pair}
\title{Aligns a pair of two similar matrices by rows and columns then runs specified function on aligned matrices}
\usage{
apply_to_aligned_matrix_pair(
  m1,
  m2,
  FUN,
  method.row = c("intersect", "union", "strict", "ignore"),
  method.col = c("intersect", "union", "strict", "ignore")
)
}
\arguments{
\item{m1}{numeric matrix with row and column names}

\item{m2}{numeric matrix with row and column names}

\item{FUN}{function to be applied over conformed matrices}

\item{method.row}{method by which to merge rows. If 'intersect' (default) returns a matrix with shared rows (by name) between two matrices;
if 'union' returns a matrix with rows from either m1 or m2, assuming a value of 0 for the matrix it was not present in;
if 'strict' will validate that m1 and m2 have exactly the same rows otherwise will fail (order doesn't matter though)}

\item{method.col}{method by which to merge columns. If 'intersect' (default) returns a matrix with shared columns (by name) between two matrices;
if 'union' returns a matrix with columns from either m1 or m2, assuming a value of 0 for the matrix it was not present in;
if 'strict' will validate that m1 and m2 have exactly the same columns otherwise will fail (order doesn't matter though)}
}
\description{
Can be combined with Reduce to apply over a list of similarly formed matrices. Very use
}
