% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/chunked_functions.R
\name{chunkedMap}
\alias{chunkedMap}
\title{Map over a very large table, reading in a chunk at a time}
\usage{
chunkedMap(
  infile,
  FUNC = NULL,
  chunkSize = 2000,
  header = TRUE,
  ARGS = list(),
  verbose = TRUE,
  outfile = NULL
)
}
\arguments{
\item{infile}{large table to which function will be applied}

\item{FUNC}{function to apply over each chunk of the table}

\item{chunkSize}{number of lines to chunk by}

\item{header}{flag to specify whether or not the file has a header}

\item{ARGS}{additional arguments to FUNC}

\item{verbose}{flag to produce verbose output}

\item{outfile}{if not NULL, result will be written directly to this location}
}
\value{
list(output of function FUNC called on each chunk)
}
\description{
Produce a result output per chunk of the file or write out
}
