% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/chunked_functions.R
\name{chunkedReduce}
\alias{chunkedReduce}
\title{Iterate over a very large table, updating ACC along the way}
\usage{
chunkedReduce(
  infile,
  FUNC = NULL,
  chunkSize = 2000,
  header = TRUE,
  ACC = list(),
  verbose = TRUE,
  outfile = NULL
)
}
\arguments{
\item{infile}{large table to which function will be applied}

\item{FUNC}{function to apply over each chunk of the table.
must match signature (chunk : data.table, ACC : list) -> ACC' : list}

\item{chunkSize}{number of lines to chunk by}

\item{header}{flag to specify whether or not the file has a header}

\item{ACC}{initial values that will eventually be returned or written}

\item{verbose}{flag to produce verbose output}

\item{outfile}{if not NULL, result will be written directly to this location}
}
\value{
value of ACC at the end of iteration
}
\description{
Iterate over a very large table, updating ACC along the way
}
