% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/chunked_functions.R
\name{chunkedSilentApply}
\alias{chunkedSilentApply}
\title{Quietly apply a function over a very large table, reading in one chunk at a time}
\usage{
chunkedSilentApply(
  infile,
  FUNC = NULL,
  chunkSize = 2000,
  header = TRUE,
  ARGS = list(),
  verbose = TRUE
)
}
\arguments{
\item{infile}{large table to which function will be applied}

\item{FUNC}{function to apply over each chunk of the table}

\item{chunkSize}{number of lines to chunk by}

\item{header}{flag to specify whether or not the file has a header}

\item{ARGS}{additional arguments to FUNC}

\item{verbose}{flag to produce verbose output}
}
\description{
Quietly apply a function over a very large table, reading in one chunk at a time
}
