% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{sum_metacells}
\alias{sum_metacells}
\title{Sum metacells or DGEs with possibly different sets of genes/columns}
\usage{
sum_metacells(
  ...,
  metacells,
  method.row = c("intersect", "union", "strict"),
  method.col = c("intersect", "union", "strict")
)
}
\arguments{
\item{...}{list of matrices as first n arguments}

\item{metacells}{if not missing will be used as list of metacells to sum}

\item{method.row}{method by which to merge rows. If 'intersect' (default) returns a matrix with shared rows (by name) between two matrices;
if 'union' returns a matrix with rows from either m1 or m2, assuming a value of 0 for the matrix it was not present in;
if 'strict' will validate that m1 and m2 have exactly the same rows otherwise will fail (order doesn't matter though)}

\item{method.col}{method by which to merge columns. If 'intersect' (default) returns a matrix with shared columns (by name) between two matrices;
if 'union' returns a matrix with columns from either m1 or m2, assuming a value of 0 for the matrix it was not present in;
if 'strict' will validate that m1 and m2 have exactly the same columns otherwise will fail (order doesn't matter though)}
}
\description{
Sum metacells or DGEs with possibly different sets of genes/columns
}
